| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Genfun::GaudiMathImplementation::GSL_Helper Class Reference

`#include <Helpers.h>`

List of all members.

## Detailed Description

the simple structure to be used for adaption interface `Genfun::AbsFunction` to `gsl_function` structure

Author:
  Vanya BELYAEV Ivam.Belyaev@itep.ru

Definition at line 28 of file Helpers.h.

## Public Member Functions
| GSL_Helper (const Genfun::AbsFunction &function, Genfun::Argument &argument, const size_t index)
| constructor
| ~GSL_Helper ()
| destructor
## Public Attributes
const Genfun::AbsFunction & | m_function
Genfun::Argument & | m_argument
size_t | m_index
## Private Member Functions
| GSL_Helper ()
GSL_Helper & | operator= (GSL_Helper &)

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::GSL_Helper::GSL_Helper | ( | const Genfun::AbsFunction & | function,
|  | Genfun::Argument & | argument,
|  | const size_t | index |
| ) |  |  |

constructor

Definition at line 21 of file Helpers.cpp.

    00024       : m_function ( function ) ,
    00025         m_argument ( argument ) ,
    00026         m_index    ( index    )
    00027     {};

Genfun::GaudiMathImplementation::GSL_Helper::~GSL_Helper | ( |  | ) |

destructor

Definition at line 31 of file Helpers.cpp.

    00031 {};

Genfun::GaudiMathImplementation::GSL_Helper::GSL_Helper | ( |  | ) | `[private]`

## Member Function Documentation

GSL_Helper& Genfun::GaudiMathImplementation::GSL_Helper::operator= | ( | GSL_Helper & |  | ) | `[private]`

## Member Data Documentation

const Genfun::AbsFunction& Genfun::GaudiMathImplementation::GSL_Helper::m_function

Definition at line 39 of file Helpers.h.

Genfun::Argument& Genfun::GaudiMathImplementation::GSL_Helper::m_argument

Definition at line 40 of file Helpers.h.

size_t Genfun::GaudiMathImplementation::GSL_Helper::m_index

Definition at line 41 of file Helpers.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Lib/Helpers.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Lib/Helpers.cpp